# IGESToBRep_BasicCurve.hxx File Reference

`#include <IGESToBRep_CurveAndSurface.hxx>`
`#include <Standard_Real.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_Geom_Curve.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_Geom2d_Curve.hxx>`
`#include <Handle_IGESGeom_BSplineCurve.hxx>`
`#include <Handle_IGESGeom_CircularArc.hxx>`
`#include <Handle_IGESGeom_ConicArc.hxx>`
`#include <Handle_Geom_BSplineCurve.hxx>`
`#include <Handle_IGESGeom_CopiousData.hxx>`
`#include <Handle_Geom2d_BSplineCurve.hxx>`
`#include <Handle_IGESGeom_Line.hxx>`
`#include <Handle_IGESGeom_SplineCurve.hxx>`
`#include <Handle_Geom_Transformation.hxx>`
`#include <Handle_IGESGeom_TransformationMatrix.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`